//global data
uniform mat4 ModelMatrix;
uniform mat4 ViewMatrix;
uniform mat4 ViewProjectionMatrix;
uniform mat3 WorldRotMatrix;

//a few helper functions
float lerp(float v0,float v1,float i)
{
	return v1*i + v0*(1.0-i);
}

vec2 lerp(vec2 v0,vec2 v1,float i)
{
	return v1*i + v0*(1.0-i);
}

vec3 lerp(vec3 v0,vec3 v1,float i)
{
	return v1*i + v0*(1.0-i);
}

vec4 lerp(vec4 v0,vec4 v1,float i)
{
	return v1*i + v0*(1.0-i);
}
